Package org.snpsift.lang.expression

# Class Expression

java.lang.Object
org.snpsift.lang.expression.Expression

Direct Known Subclasses:
  `ExpressionBinary`, `ExpressionUnary`, `Field`, `Function`, `Literal`

public abstract class Expression extends Object
A generic expresion Expressions have values (VcfInfoType)

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`protected boolean`
`negated`
`protected String`
`operator`

## Constructor Summary

Constructors
Constructor
Description
`Expression()`
`Expression(String operator)`

## Method Summary

Modifier and Type
Method
Description
`abstract Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`abstract Value`
`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
Evaluate expression using genotype
`void`
`setNegated(boolean negated)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debug

public static boolean debug

### negated

protected boolean negated

### operator

protected String operator

## Constructor Details

### Expression

public Expression()

### Expression

public Expression(String operator)

## Method Details

### eval

public abstract Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Evaluate expression using VcfEntry

### eval

public abstract Value eval(org.snpeff.vcf.VcfGenotype vcfGenotype)
Evaluate expression using genotype

### setNegated

public void setNegated(boolean negated)